<!DOCTYPE html>
<html lang="en">

<head>
    <title>Index page</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
</head>

<body>
    <div class="container">
        <h2 align="center" class="text-danger">Fetch API in JavaScript</h2>
        <hr />

        <!-- Javascript fetch() method tutorial -->
		<h6 class="text-info">Click the button to fetch the data from the server.</h6>
		<div>&nbsp;</div>
		
		<button id="btn_submit" type="button" class="btn btn-success" onclick="fetchProduct();">Fetch</button>
		<div>&nbsp;</div>
		
		<ul id="product"></ul>
    </div>
    <script>
		var ul = document.getElementById("product");
		const url = "<-- Enter url to fetch the resources from the server -->";
		
		// Function to fetch the data from the server.
		function fetchProduct() {
			fetch(url).then((res) => res.json()).then((json) => {
				console.log(json);
				for(var i=0; i < json.items.length; i++) {
					var li = document.createElement("li");
					li.appendChild(document.createTextNode(json.items[i].name));
					ul.appendChild(li);
				}
			});
		}
    </script>
</body>

</html>